org.bdgenomics.adam.models

# ReferenceRegion

###
Related Docs: class ReferenceRegion | package models

#### object ReferenceRegion extends Serializable

A companion object for creating and ordering ReferenceRegions.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ReferenceRegion
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def all(referenceName: String, strand: Strand = Strand.INDEPENDENT): ReferenceRegion

   Creates a reference region that covers the entirety of a contig.

   Creates a reference region that covers the entirety of a contig.

   referenceName

     The name of the reference contig to cover.

   strand

     The strand of the genome that this region exists on.

   returns

     Returns a reference region that covers the entirety of a contig.

5. #### def apply(coverage: Coverage): ReferenceRegion

   Builds a reference region for a coverage site.

   Builds a reference region for a coverage site.

   coverage

     Coverage to extract ReferenceRegion from

   returns

     Extracted ReferenceRegion

6. #### def apply(fragment: NucleotideContigFragment): Option[ReferenceRegion]

   Generates a reference region from assembly data.

   Generates a reference region from assembly data. Returns None if the assembly does not have an ID or a start position.

   fragment

     Assembly fragment from which to generate data.

   returns

     Region corresponding to inclusive region of contig fragment.

7. #### def apply(pos: ReferencePosition): ReferenceRegion

   Generates a region from a given position -- the region will have a length of 1.

   Generates a region from a given position -- the region will have a length of 1.

   pos

     The position to convert

   returns

     A 1-wide region at the same location as pos

8. #### def apply(variant: Variant): ReferenceRegion

   Builds a reference region for a variant site.

   Builds a reference region for a variant site.

   variant

     Variant to extract region from.

   returns

     The site where this variant covers.

9. #### def apply(genotype: Genotype): ReferenceRegion

   Builds a reference region for a called genotype.

   Builds a reference region for a called genotype.

   genotype

     Called genotype to extract region from.

   returns

     The site where this genotype lives.

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def createPredicate(regions: ReferenceRegion*): FilterPredicate

    Creates a predicate that filters records overlapping one or more regions.

    Creates a predicate that filters records overlapping one or more regions.

    regions

      The regions to filter on.

    returns

      Returns a predicate that can be pushed into Parquet files that keeps all records that overlap one or more region.

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def fromStart(referenceName: String, end: Long, strand: Strand = Strand.INDEPENDENT): ReferenceRegion

    Creates a reference region that starts at the beginning of a contig.

    Creates a reference region that starts at the beginning of a contig.

    referenceName

      The name of the reference contig that this region is on.

    end

      The end position for this region.

    strand

      The strand of the genome that this region exists on.

    returns

      Returns a reference region that goes from the start of a contig to a user provided end point.

17. #### def fromString(loci: String): Iterable[ReferenceRegion]

    Parses a set of comma delimited loci from a string.

    Parses a set of comma delimited loci from a string.

    Acceptable strings include: - ctg:start-end - ctg:pos

    loci

      The string describing the loci to create reference regions for.

    returns

      Returns an iterable collection of reference regions.

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def opt(record: AlignmentRecord): Option[ReferenceRegion]

    Generates a reference region from read data.

    Generates a reference region from read data. Returns None if the read is not mapped; else, returns the inclusive region from the start to the end of the read alignment.

    record

      Read to create region from.

    returns

      Region corresponding to inclusive region of read alignment, if read is mapped.

25. #### implicit def orderingForOptionalPositions: OptionalRegionOrdering.type

26. #### implicit def orderingForPositions: RegionOrdering.type

27. #### def stranded(feature: Feature): ReferenceRegion

    Builds a reference region for a feature with strand set.

    Builds a reference region for a feature with strand set.

    feature

      Feature to extract ReferenceRegion from.

    returns

      Extracted ReferenceRegion

    Exceptions thrown

      `IllegalArgumentException` Throws an exception if the strand is null in the provided feature.

    See also

      unstranded

28. #### def stranded(record: AlignmentRecord): ReferenceRegion

    Builds a reference region for an aligned read with strand set.

    Builds a reference region for an aligned read with strand set.

    record

      The read to extract the reference region from.

    returns

      Returns the reference region covered by this read's alignment.

    Exceptions thrown

      `IllegalArgumentException` If this read is not aligned, alignment data is null, or strand is not set.

    See also

      unstranded

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toEnd(referenceName: String, start: Long, strand: Strand = Strand.INDEPENDENT): ReferenceRegion

    Creates a reference region that has an open end point.

    Creates a reference region that has an open end point.

    referenceName

      The name of the reference contig that this region is on.

    start

      The start position for this region.

    strand

      The strand of the genome that this region exists on.

    returns

      Returns a reference region that goes from a user provided starting point to the end of a contig.

31. #### def toString(): String

    Definition Classes
      AnyRef → Any

32. #### def unstranded(feature: Feature): ReferenceRegion

    Builds a reference region for a feature without strand information.

    Builds a reference region for a feature without strand information.

    feature

      Feature to extract ReferenceRegion from.

    returns

      Extracted ReferenceRegion

    See also

      stranded

33. #### def unstranded(record: AlignmentRecord): ReferenceRegion

    Builds a reference region with independent strand for an aligned read.

    Builds a reference region with independent strand for an aligned read.

    record

      The read to extract the reference region from.

    returns

      Returns the reference region covered by this read's alignment.

    Exceptions thrown

      `IllegalArgumentException` If this read is not aligned or alignment data is null.

    See also

      stranded

34. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped